Skip to content
VirtlixCP

Documentation / API

IP Entities

List IP Entities

GET /entity

List of IP Entities

Response 200: A List of IP Entities

Field Type Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Create IP Entity

POST /entity

Create a new IP Entity

Request body

Field Type Required Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Response 200: An IP Entity

Field Type Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Request body

Field Type Required Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Response 422: Unprocessable Entity

Delete IP Entity

DELETE /entity/{entity_id}

Delete an IP Entity

Response 200: IP Entity deleted successfully

Response 404: Item not Found

View IP Entity

GET /entity/{entity_id}

An IP Entity

Response 200: An IP Entity

Field Type Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Edit IP Entity

PATCH /entity/{entity_id}

Request body

Field Type Required Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Response 200: An IP Entity

Field Type Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Request body

Field Type Required Description
address string
billing_id string
full_ip string
gateway string
group object
group.id integer VirtlixCP-specific unique identifier used for URLs, etc.
group.name string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
nickname string
owner object
owner.id integer VirtlixCP-specific unique identifier used for URLs, etc.
owner.name string
owner.server object
siblings_count integer
subnet_mask string
v4 object
v4.address string
v4.full string
v4.gateway string
v4.range_end string
v4.subnet_mask string
v6 object
v6.address string
v6.gateway string
v6_address string
v6_gateway string
vlan integer

Response 422: Unprocessable Entity